Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 28 Feb 2021 16:03:39 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have returned 2 items in the month of November and still waiting for the refund to be credited in my account even after following on this with your customer care executive every week I haven’t heard from anyone from your side. Everytime the executive says we will raise your complaint. I had even requested for a call back from the senior but no one bothered to call. Is this the way you guys handle  your customers.  Very disappointed. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2165512